Subject: [rohc] Is list compression clearly defined?

From: "Lars-Erik Jonsson (EPL)" <[email-masked]>
Date: Thu, 30 May 2002 13:12:22 +0200

At Arctic ROHC, there were discussions about the list compression sections
in RFC 3095, and whether these are clear enough to create interoperable
implementations. One question that was raised was regarding what can really
be compressed with these mechanisms. The people present agreed that for IPv4, only the defined header types may be compressed, while for IPv6, any extension should be compressible, using the generic list compression format.

However, none of those present at Arctic ROHC wanted to say that they
believe these sections are really clear, and my impression was that
implementers think there might be ambiguities and pieces missing in the
RFC. 

Therefore, I would like to ask implementers of ROHC to express their
opinions about these sections. Please do so here on the list.

Thanx!
/Lars-Erik

--------------------------------------
Lars-Erik Jonsson
IETF ROHC WG Chair
E-mail: [email-masked]
Phone: +46 920 20 21 07
Home: +46 920 999 57

My opinions are my personal opinions and should not be considered
as the opinions of my employer, if not explicitly stated. 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Yang Chang" <[email-masked]>
Date: Thu, 30 May 2002 19:40:54 +0800

Dear Lars-Erik and All,

I think the list compression is not defined clearly enough, I have a question as following:

In section 5.8.4, it is said that "An index per type per list is then used". This is only to indicate that some category of IP extension header belonging to different IP header will use different index. However, how to find the border of two extension headers list is not clearly defined, esp. in compressed headers.

Best regards,

Yang Chang

Panasonic Singapore Laboratories Pte Ltd.
Blk 1022 Tai Seng Avenue
#04-3530 Tai Seng Ind Est
Singapore 534415

Email: [email-masked]
Tel:   (65) 6550 5308
Fax:  (65) 6282 1344